Bug 241027 - www/falkon crash at launch time, cannot mix incompatible Qt library with this library
Summary: www/falkon crash at launch time, cannot mix incompatible Qt library with this...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-03 03:06 UTC by Graham Perrin
Modified: 2019-10-08 10:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2019-10-03 03:06:29 UTC
grahamperrin@momh167-gjp4-8570p:~ % sh
$ date ; uname -v
Thu Oct  3 03:59:46 BST 2019
FreeBSD 13.0-CURRENT #33 r352942: Wed Oct  2 05:26:54 BST 2019     root@momh167-gjp4-8570p:/usr/obj/usr/src/amd64.amd64/sys/GENERIC-NODEBUG 
$ falkon
[1003/035950.105393:ERROR:stack_trace_posix.cc(652)] Not implemented reached in bool base::debug::(anonymous namespace)::SandboxSymbolizeHelper::CacheMemoryRegions()
QWebEngineUrlScheme::registerScheme: Too late to register scheme "falkon"
QWebEngineUrlScheme::registerScheme: Too late to register scheme "extension"
Please register the custom scheme 'falkon' via QWebEngineUrlScheme::registerScheme() before installing the custom scheme handler.
Please register the custom scheme 'extension' via QWebEngineUrlScheme::registerScheme() before installing the custom scheme handler.
Falkon: 1 extensions loaded
Fatal: Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50d00)
Abort trap (core dumped)
$ pkg query '%o %v %R' falkon
www/falkon 3.1.0 FreeBSD
$ 

----

Crashing began after a recent `pkg upgrade` routine, so this may be relevant:

$ grep qt /var/log/messages
Oct  1 20:59:58 momh167-gjp4-8570p pkg[59347]: qt5-uiplugin upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 20:59:59 momh167-gjp4-8570p pkg[59347]: qt5-concurrent upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:00 momh167-gjp4-8570p pkg[59347]: qt5-designer upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:26 momh167-gjp4-8570p pkg[59414]: qt5-sqldrivers-sqlite3 upgraded: 5.12.2 -> 5.13.0 
Oct  1 21:00:26 momh167-gjp4-8570p pkg[59414]: qt5-help upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:26 momh167-gjp4-8570p pkg[59414]: qt5-uitools upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:27 momh167-gjp4-8570p pkg[59414]: qt5-svg upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:27 momh167-gjp4-8570p pkg[59414]: qt5-script upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  1 21:00:27 momh167-gjp4-8570p pkg[59414]: qt5-assistant upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:42 momh167-gjp4-8570p pkg[7839]: qt5-core upgraded: 5.12.2_2 -> 5.13.0 
Oct  2 17:15:43 momh167-gjp4-8570p pkg[7839]: qt5-network upgraded: 5.12.2_2 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-dbus upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-xml upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-testlib upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-sql upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-linguisttools upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-script upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-concurrent upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:16:55 momh167-gjp4-8570p pkg[7839]: gpgme-qt5 upgraded: 1.13.0 -> 1.13.1 
Oct  2 17:16:55 momh167-gjp4-8570p pkg[7839]: qt5-sqldrivers-sqlite3 upgraded: 5.12.2 -> 5.13.0 
Oct  2 17:17:27 momh167-gjp4-8570p pkg[7839]: poppler-qt5 upgraded: 0.80.0_1 -> 0.81.0_1 
Oct  2 19:08:35 momh167-gjp4-8570p pkg[16227]: qt5-gui upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:36 momh167-gjp4-8570p pkg[16227]: qt5-xmlpatterns upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:38 momh167-gjp4-8570p pkg[16227]: qt5-widgets upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:40 momh167-gjp4-8570p pkg[16227]: qt5-declarative upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-printsupport upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-help upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-uiplugin upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-assistant upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-x11extras upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-uitools upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-svg upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:50 momh167-gjp4-8570p pkg[90945]: qt5-opengl upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:51 momh167-gjp4-8570p pkg[90945]: qt5-designer upgraded: 5.12.2_1 -> 5.13.0_1 
$
Comment 1 Graham Perrin 2019-10-03 03:11:23 UTC
$ grep 7839 /var/log/messages
Oct  2 17:15:42 momh167-gjp4-8570p pkg[7839]: qt5-core upgraded: 5.12.2_2 -> 5.13.0 
Oct  2 17:15:43 momh167-gjp4-8570p pkg[7839]: qt5-network upgraded: 5.12.2_2 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-dbus upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-xml upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:44 momh167-gjp4-8570p pkg[7839]: qt5-testlib upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-sql upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-linguisttools upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-script upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:45 momh167-gjp4-8570p pkg[7839]: qt5-concurrent upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 17:15:46 momh167-gjp4-8570p pkg[7839]: kf5-extra-cmake-modules upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:15:51 momh167-gjp4-8570p pkg[7839]: kf5-ki18n upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:16 momh167-gjp4-8570p pkg[7839]: kf5-kcoreaddons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:16 momh167-gjp4-8570p pkg[7839]: kf5-karchive upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:24 momh167-gjp4-8570p pkg[7839]: gnutls upgraded: 3.6.9 -> 3.6.10 
Oct  2 17:16:25 momh167-gjp4-8570p pkg[7839]: kf5-kwindowsystem upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:25 momh167-gjp4-8570p pkg[7839]: kf5-kwidgetsaddons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:26 momh167-gjp4-8570p pkg[7839]: kf5-kguiaddons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:30 momh167-gjp4-8570p pkg[7839]: kf5-kdoctools upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:31 momh167-gjp4-8570p pkg[7839]: kf5-kconfig upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:31 momh167-gjp4-8570p pkg[7839]: kf5-kcodecs upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:31 momh167-gjp4-8570p pkg[7839]: kf5-kitemviews upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:31 momh167-gjp4-8570p pkg[7839]: kf5-kdbusaddons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:31 momh167-gjp4-8570p pkg[7839]: kf5-kcrash upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:32 momh167-gjp4-8570p pkg[7839]: kf5-kconfigwidgets upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:47 momh167-gjp4-8570p pkg[7839]: kf5-breeze-icons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:49 momh167-gjp4-8570p pkg[7839]: kf5-sonnet upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:49 momh167-gjp4-8570p pkg[7839]: kf5-kservice upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:50 momh167-gjp4-8570p pkg[7839]: kf5-kiconthemes upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:50 momh167-gjp4-8570p pkg[7839]: kf5-kcompletion upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:50 momh167-gjp4-8570p pkg[7839]: gpgme upgraded: 1.13.0_1 -> 1.13.1 
Oct  2 17:16:50 momh167-gjp4-8570p pkg[7839]: kf5-ktextwidgets upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:51 momh167-gjp4-8570p pkg[7839]: kf5-kglobalaccel upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:51 momh167-gjp4-8570p pkg[7839]: kf5-attica upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:51 momh167-gjp4-8570p pkg[7839]: gpgme-cpp upgraded: 1.13.0 -> 1.13.1 
Oct  2 17:16:52 momh167-gjp4-8570p pkg[7839]: kf5-kxmlgui upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:52 momh167-gjp4-8570p pkg[7839]: kf5-knotifications upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:55 momh167-gjp4-8570p pkg[7839]: gpgme-qt5 upgraded: 1.13.0 -> 1.13.1 
Oct  2 17:16:55 momh167-gjp4-8570p pkg[7839]: qt5-sqldrivers-sqlite3 upgraded: 5.12.2 -> 5.13.0 
Oct  2 17:16:55 momh167-gjp4-8570p pkg[7839]: kf5-solid upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:56 momh167-gjp4-8570p pkg[7839]: kf5-kjobwidgets upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:16:56 momh167-gjp4-8570p pkg[7839]: kf5-kbookmarks upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:12 momh167-gjp4-8570p pkg[7839]: kf5-kio upgraded: 5.61.0 -> 5.62.1 
Oct  2 17:17:13 momh167-gjp4-8570p pkg[7839]: protobuf upgraded: 3.9.1,1 -> 3.9.2,1 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kparts upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kplotting upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kpackage upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kdewebkit upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: harfbuzz-icu upgraded: 2.6.1_1 -> 2.6.2 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kitemmodels upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:14 momh167-gjp4-8570p pkg[7839]: kf5-kinit upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:15 momh167-gjp4-8570p pkg[7839]: kf5-kdesignerplugin upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:15 momh167-gjp4-8570p pkg[7839]: kf5-kdeclarative upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:15 momh167-gjp4-8570p pkg[7839]: py36-pysocks upgraded: 1.7.0 -> 1.7.1 
Oct  2 17:17:16 momh167-gjp4-8570p pkg[7839]: poppler upgraded: 0.80.0_1 -> 0.81.0_1 
Oct  2 17:17:16 momh167-gjp4-8570p pkg[7839]: libXaw upgraded: 1.0.13_2,2 -> 1.0.13_3,2 
Oct  2 17:17:17 momh167-gjp4-8570p pkg[7839]: kf5-kunitconversion upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:20 momh167-gjp4-8570p pkg[7839]: kf5-kemoticons upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:20 momh167-gjp4-8570p pkg[7839]: kf5-kded upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:20 momh167-gjp4-8570p pkg[7839]: kf5-kcmutils upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:21 momh167-gjp4-8570p pkg[7839]: hdf5 reinstalled: 1.10.5_2 -> 1.10.5_2 
Oct  2 17:17:21 momh167-gjp4-8570p pkg[7839]: py36-smmap2-2.0.5 installed
Oct  2 17:17:21 momh167-gjp4-8570p pkg[7839]: poppler-glib upgraded: 0.80.0_1 -> 0.81.0_1 
Oct  2 17:17:22 momh167-gjp4-8570p pkg[7839]: kf5-kjs upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:25 momh167-gjp4-8570p pkg[7839]: kf5-kdelibs4support upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:27 momh167-gjp4-8570p pkg[7839]: graphviz upgraded: 2.40.1_11 -> 2.42.2_2 
Oct  2 17:17:27 momh167-gjp4-8570p pkg[7839]: py36-gitdb2-2.0.6 installed
Oct  2 17:17:27 momh167-gjp4-8570p pkg[7839]: py36-ddt-1.2.1 installed
Oct  2 17:17:27 momh167-gjp4-8570p pkg[7839]: poppler-qt5 upgraded: 0.80.0_1 -> 0.81.0_1 
Oct  2 17:17:55 momh167-gjp4-8570p pkg[7839]: llvm90 upgraded: 9.0.0.r4_1 -> 9.0.0 
Oct  2 17:17:55 momh167-gjp4-8570p pkg[7839]: kf5-kpty upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:56 momh167-gjp4-8570p pkg[7839]: kf5-khtml upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:17:56 momh167-gjp4-8570p pkg[7839]: libXpresent-1.0.0 installed
Oct  2 17:18:08 momh167-gjp4-8570p pkg[7839]: tbb-2019.8 installed
Oct  2 17:18:08 momh167-gjp4-8570p pkg[7839]: py36-GitPython-2.1.11 installed
Oct  2 17:18:11 momh167-gjp4-8570p pkg[7839]: git-lite-2.23.0 installed
Oct  2 17:18:11 momh167-gjp4-8570p pkg[7839]: xorg-libraries upgraded: 7.7_3 -> 7.7_4 
Oct  2 17:18:18 momh167-gjp4-8570p pkg[7839]: xfce4-wm upgraded: 4.14.0 -> 4.14.0_1 
Oct  2 17:18:19 momh167-gjp4-8570p pkg[7839]: xfce4-tumbler upgraded: 0.2.7 -> 0.2.7_1 
Oct  2 17:18:20 momh167-gjp4-8570p pkg[7839]: xfce4-session upgraded: 4.14.0 -> 4.14.0_1 
Oct  2 17:18:20 momh167-gjp4-8570p pkg[7839]: xfce4-screensaver upgraded: 0.1.8 -> 0.1.8_1 
Oct  2 17:18:21 momh167-gjp4-8570p pkg[7839]: xfce4-panel upgraded: 4.14.0 -> 4.14.1 
Oct  2 17:18:28 momh167-gjp4-8570p pkg[7839]: vlc upgraded: 3.0.8,4 -> 3.0.8_1,4 
Oct  2 17:18:34 momh167-gjp4-8570p pkg[7839]: sysctlinfo-kmod reinstalled: 20190907 -> 20190907 
Oct  2 17:18:36 momh167-gjp4-8570p pkg[7839]: suitesparse upgraded: 5.4.0_1 -> 5.4.0_3 
Oct  2 17:19:14 momh167-gjp4-8570p pkg[7839]: rust upgraded: 1.37.0 -> 1.38.0 
Oct  2 17:19:17 momh167-gjp4-8570p pkg[7839]: qutebrowser upgraded: 1.7.0 -> 1.8.1 
Oct  2 17:19:17 momh167-gjp4-8570p pkg[7839]: py36-iocage upgraded: 1.1_1 -> 1.2_1 
Oct  2 17:19:17 momh167-gjp4-8570p pkg[7839]: poppler-utils upgraded: 0.80.0_1 -> 0.81.0_2 
Oct  2 17:19:22 momh167-gjp4-8570p pkg[7839]: okular upgraded: 19.08.1_1 -> 19.08.1_2 
Oct  2 17:19:24 momh167-gjp4-8570p pkg[7839]: netpbm upgraded: 10.87.02 -> 10.88.00 
Oct  2 17:19:26 momh167-gjp4-8570p pkg[7839]: net-snmp upgraded: 5.7.3_20 -> 5.7.3_20,1 
Oct  2 17:19:27 momh167-gjp4-8570p pkg[7839]: nas upgraded: 1.9.4_2 -> 1.9.4_3 
Oct  2 17:19:27 momh167-gjp4-8570p pkg[7839]: mplayer upgraded: 1.4.0.20190706_3 -> 1.4.0.20190928 
Oct  2 17:19:29 momh167-gjp4-8570p pkg[7839]: mesa-dri upgraded: 18.3.2_4 -> 18.3.2_6 
Oct  2 17:19:30 momh167-gjp4-8570p pkg[7839]: lumina-pdf upgraded: 1.5.0 -> 1.5.0_1 
Oct  2 17:20:12 momh167-gjp4-8570p pkg[7839]: libreoffice upgraded: 6.3.1 -> 6.3.2_1 
Oct  2 17:20:12 momh167-gjp4-8570p pkg[7839]: kitinerary upgraded: 19.08.1_1 -> 19.08.1_2 
Oct  2 17:20:12 momh167-gjp4-8570p pkg[7839]: kf5-syntax-highlighting upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:20:13 momh167-gjp4-8570p pkg[7839]: kf5-kfilemetadata upgraded: 5.62.0 -> 5.62.0_1 
Oct  2 17:20:13 momh167-gjp4-8570p pkg[7839]: kf5-kdnssd upgraded: 5.61.0 -> 5.62.0 
Oct  2 17:20:13 momh167-gjp4-8570p pkg[7839]: jucipp upgraded: 1.5.0 -> 1.5.0_1 
Oct  2 17:20:14 momh167-gjp4-8570p pkg[7839]: jakarta-commons-codec upgraded: 1.10 -> 1.13 
Oct  2 17:20:20 momh167-gjp4-8570p pkg[7839]: inkscape upgraded: 0.92.4_7 -> 0.92.4_8 
Oct  2 17:20:28 momh167-gjp4-8570p pkg[7839]: gimp-app upgraded: 2.10.12_3,1 -> 2.10.12_4,1 
Oct  2 17:20:29 momh167-gjp4-8570p pkg[7839]: geany upgraded: 1.35_1 -> 1.36 
Oct  2 17:20:29 momh167-gjp4-8570p pkg[7839]: freebsd-release-manifests upgraded: 20190920 -> 20190928 
Oct  2 17:20:34 momh167-gjp4-8570p pkg[7839]: fractal upgraded: 4.0.0_5 -> 4.0.0_6 
Oct  2 17:20:39 momh167-gjp4-8570p pkg[7839]: evince upgraded: 3.28.5_7 -> 3.28.5_8 
Oct  2 17:20:43 momh167-gjp4-8570p pkg[7839]: drm-current-kmod reinstalled: 4.16.g20190927 -> 4.16.g20190927 
Oct  2 17:20:43 momh167-gjp4-8570p pkg[7839]: clutter-gst upgraded: 2.0.18 -> 2.0.18_1 
Oct  2 17:20:47 momh167-gjp4-8570p pkg[7839]: atril upgraded: 1.22.1_6 -> 1.22.1_7 
$ grep 16227 /var/log/messages
Oct  2 19:08:35 momh167-gjp4-8570p pkg[16227]: qt5-gui upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:36 momh167-gjp4-8570p pkg[16227]: qt5-xmlpatterns upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:38 momh167-gjp4-8570p pkg[16227]: qt5-widgets upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 19:08:40 momh167-gjp4-8570p pkg[16227]: qt5-declarative upgraded: 5.12.2_1 -> 5.13.0_1 
$ grep 90945 /var/log/messages
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-printsupport upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-help upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:48 momh167-gjp4-8570p pkg[90945]: qt5-uiplugin upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-assistant upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-x11extras upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-uitools upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:49 momh167-gjp4-8570p pkg[90945]: qt5-svg upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:50 momh167-gjp4-8570p pkg[90945]: qt5-opengl upgraded: 5.12.2_1 -> 5.13.0_1 
Oct  2 20:04:51 momh167-gjp4-8570p pkg[90945]: qt5-designer upgraded: 5.12.2_1 -> 5.13.0_1 
$
Comment 2 commit-hook freebsd_committer 2019-10-03 04:07:47 UTC
A commit references this bug:

Author: tcberner
Date: Thu Oct  3 04:07:05 UTC 2019
New revision: 513646
URL: https://svnweb.freebsd.org/changeset/ports/513646

Log:
  www/qt5-webkit, www/qt5-webengine: force rebuild after Qt5 upgrade

  PR:		241027

Changes:
  head/www/qt5-webengine/Makefile
  head/www/qt5-webkit/Makefile
Comment 3 Adriaan de Groot freebsd_committer 2019-10-08 10:41:43 UTC
Resolved with previous commit (you can mix them, but needs rebuilds -- this comment posted from falkon w/ webengine 5.12 and the rest of qt at 5.13)